Package com.logicaldoc.core.i18n

# Class Language

java.lang.Object
com.logicaldoc.core.i18n.Language

All Implemented Interfaces:
  `Comparable<Language>`

public class Language extends Object implements Comparable<Language>
Instances of this class represent a language supported by the LogicalDOC DMS

Since:
  3.0.3
Author:
  Alessandro Gasparini - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`Language(Locale locale)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Language o)`
`boolean`
`equals(Object obj)`
`org.apache.lucene.analysis.Analyzer`
`getAnalyzer()`
`String`
`getAnalyzerClass()`
`String`
`getDefaultDisplayLanguage()`
`String`
`getDisplayLanguage()`
`String`
`getLanguage()`
`Locale`
`getLocale()`
`org.tartarus.snowball.SnowballProgram`
`getStemmer()`
`Set<String>`
`getStopWords()`
`int`
`hashCode()`
`void`
`setAnalyzer(org.apache.lucene.analysis.Analyzer analyzer)`
`void`
`setAnalyzerClass(String analyzerClass)`
`void`
`setStopWords(Set<String> stopWords)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Language

public Language(Locale locale)

## Method Details

### getLocale

public Locale getLocale()

### getLanguage

public String getLanguage()

### getDisplayLanguage

public String getDisplayLanguage()

### getDefaultDisplayLanguage

public String getDefaultDisplayLanguage()

### getStopWords

public Set<String> getStopWords()

### setStopWords

public void setStopWords(Set<String> stopWords)

### getAnalyzerClass

public String getAnalyzerClass()

### setAnalyzerClass

public void setAnalyzerClass(String analyzerClass)

### getAnalyzer

public org.apache.lucene.analysis.Analyzer getAnalyzer()

### setAnalyzer

public void setAnalyzer(org.apache.lucene.analysis.Analyzer analyzer)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### compareTo

public int compareTo(Language o)

Specified by:
  `compareTo` in interface `Comparable<Language>`

### getStemmer

public org.tartarus.snowball.SnowballProgram getStemmer()